Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class Mixer.Info

    java.lang.Object
      javax.sound.sampled.Mixer.Info

Enclosing interface:
  Mixer

    public static class Mixer.Info

extends Object

The `Mixer.Info` class represents information about an audio mixer, including the product's name, version, and vendor, along with a textual description. This information may be retrieved through the `getMixerInfo` method of the `Mixer` interface.

Since:
  1.3

Constructor Summary
`protected` | `Mixer.Info(String name, String vendor, String description, String version)` Constructs a mixer's info object, passing it the given textual information.

Method Summary
`boolean` | `equals(Object obj)` Indicates whether two info objects are equal, returning `true` if they are identical.
`String` | `getDescription()` Obtains the description of the mixer.
`String` | `getName()` Obtains the name of the mixer.
`String` | `getVendor()` Obtains the vendor of the mixer.
`String` | `getVersion()` Obtains the version of the mixer.
`int` | `hashCode()` Finalizes the hashcode method.
`String` | `toString()` Provides a string representation of the mixer info.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Mixer.Info

    protected Mixer.Info(String name,
                         String vendor,
                         String description,
                         String version)

  Constructs a mixer's info object, passing it the given textual information.

  Parameters:
    `name` - the name of the mixer
    `vendor` - the company who manufactures or creates the hardware or software mixer
    `description` - descriptive text about the mixer
    `version` - version information for the mixer

Method Detail

### equals

    public final boolean equals(Object obj)

  Indicates whether two info objects are equal, returning `true` if they are identical.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare this info object
  Returns:
    `true` if this info object is the same as the `obj` argument; `false` otherwise
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public final int hashCode()

  Finalizes the hashcode method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode for this object
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### getName

    public final String getName()

  Obtains the name of the mixer.

  Returns:
    a string that names the mixer

### getVendor

    public final String getVendor()

  Obtains the vendor of the mixer.

  Returns:
    a string that names the mixer's vendor

### getDescription

    public final String getDescription()

  Obtains the description of the mixer.

  Returns:
    a textual description of the mixer

### getVersion

    public final String getVersion()

  Obtains the version of the mixer.

  Returns:
    textual version information for the mixer

### toString

    public final String toString()

  Provides a string representation of the mixer info.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string describing the info object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.